:root {
  --font-family-system-sans: -apple-system, 'BlinkMacSystemFont', 'Segoe UI',
    'Roboto', 'Inter', 'Helvetica', 'Arial', sans-serif;
  --font-size-large: 1.125rem;
  --font-size-base: 1rem;
  --font-size-small: 0.875rem;
  --font-size-x-small: 0.75rem;
  --font-weight-base: 400;
  --font-weight-bold: 700;
  --line-height-small: 1.5714285;
  --line-height-xx-small: 1.375;
  --color-base: #202122;
  --color-subtle: #54595d;
  --color-disabled: #72777d;
  --color-progressive: #36c;
  --color-progressive--hover: #447ff5;
  --color-progressive--active: #2a4b8d;
  --color-success: #14866d;
  --color-error: #d73333;
  --color-warning: #edab00;
  --color-inverted: #fff;
  --border-width-base: 1px;
  --border-style-base: solid;
  --border-color-base: #a2a9b1;
  --border-color-subtle: #c8ccd1;
  --border-radius-base: 2px;
  --background-color-base: #fff;
  --background-color-disabled: #c8ccd1;
  --background-color-subtle: #f8f9fa;
  --background-color-notice-subtle: #eaecf0;
  --background-color-warning-subtle: #fef6e7;
  --background-color-success-subtle: #d5fdf4;
  --background-color-error-subtle: #fee7e6;
  --box-shadow-drop-medium: 0 2px 2px 0 rgba(0, 0, 0, 0.2);
  --spacing-25: 4px;
  --spacing-50: 8px;
  --spacing-75: 12px;
  --spacing-100: 16px;
  --spacing-200: 32px;
}

body {
  margin: 0;
}

.container {
  display: flex;
  flex-direction: column;
  font-family: var(--font-family-system-sans);
  font-size: var(--font-size-small);
  color: var(--color-base);
  width: 100vw;
  max-width: 600px;
  margin-left: auto;
  margin-right: auto;
  padding-bottom: var(--spacing-200);
}

.h1 {
  margin: var(--spacing-200) 0 var(--spacing-100);
  font-size: 1.25rem;
  line-height: var(--line-height-small);
}

.h2 {
  margin: var(--spacing-200) 0 16px;
  font-size: 1.125rem;
  line-height: var(--line-height-small);
}

.toggleContainer {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-100);
}

.toggleRow {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.toggleText {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-25);
}

.dependentToggleRow .toggleText {
  padding-left: 28px;
}

.disabledToggleRow .toggleText {
  color: var(--color-disabled);
}

.inputRow {
  display: flex;
  flex-direction: column;
  margin-bottom: 18px;
  gap: 4px;
}

.inputRow input {
  width: 400px;
  padding: 4px;
}

.inputRow select {
  width: 400px;
  padding: 4px;
}

.inputRow textarea {
  height: 80px;
  width: 600px;
  padding: 4px;
  font-size: 16px;
  font-family: sans-serif;
}

.link {
  display: block;
  line-height: var(--line-height-small);
  color: var(--color-progressive);
  text-decoration: none;
  cursor: pointer;
  margin-bottom: var(--spacing-25);
}

.link:hover {
  text-decoration: underline;
}

.statusExplanation {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-100);
}

.statusExplanationText {
  margin-left: 28px;
  line-height: var(--line-height-small);
  margin-top: var(--spacing-25);
}

.iconRow {
  display: flex;
  flex-direction: row;
  gap: var(--spacing-50);
  align-items: center;
}

.icon {
  display: flex;
}

.icon.correct * {
  fill: var(--color-success);
}

.icon.incorrect *,
.icon.error * {
  fill: var(--color-error);
}

.icon.partially_correct * {
  fill: var(--color-warning);
}

.explanation {
  font-weight: var(--font-weight-bold);
}

.explanation.correct {
  color: var(--color-success);
}

.explanation.incorrect,
.explanation.error {
  color: var(--color-error);
}

.explanation.partially_correct {
  color: var(--color-base);
}

.explanation.no_articles,
.explanation.no_result {
  color: var(--color-base);
}
